import httpRequest from '@/utils/axios'

/**
 * 获取类型列表
 */
export function getCategoryList(params) {
  return httpRequest.get('/api/xtraining/admin/v1/categories', { params })
}
/**
 * 新建分类
 */
 export function createCategory(data) {
  return httpRequest.post('/api/xtraining/admin/v1/category', data)
}
/**
 * 更新分类
 */
export function updateCategory(id, data) {
  return httpRequest.put(`/api/xtraining/admin/v1/category/${id}`, data)
}
/**
 * 删除分类
 */
export function deleteCategory(id) {
  return httpRequest.delete(`/api/xtraining/admin/v1/category/${id}`)
}
